How to run MPT

Discussion in 'Wii - Hacking' started by eidrian, Aug 28, 2009.

Aug 28, 2009

How to run MPT by eidrian at 8:34 PM (3,082 Views / 0 Likes) 29 replies

  1. eidrian
    OP

    Newcomer eidrian Advanced Member

    Joined:
    Feb 8, 2009
    Messages:
    57
    Country:
    United States
    Ok, so i found myself getting this off the net to try it out seeing my retail copy has been delayed for whatever reason...

    Anyways, i want to know if i can run this dual layer disc using a softmodded wii, i have 3.2u and no idea on what is required to get this to run. And before you ask, yes, i'm a noob on this modding scene however i managed to mod mine successfully to play imports.

    I just need to know what to do or if i need to update the wii to 4.0 or something to get the disc to play. I still use the gamma launcher to play the games and imports so i don't know how outdated i am in regards to the scene.

    Any help is greatly appreciated.
     


  2. Covarr

    Member Covarr Sentient Cash Register

    Joined:
    Oct 21, 2005
    Messages:
    872
    Location:
    Far East of Eden
    Country:
    United States
    You should probably be using Backup launcher 0.3, as gamma is outdated.

    Do you have preloader, brickblocker, or startpatch? You'll need one of those to block the 4.1 update that MP:T tries to force on you.

    I'm pretty sure that 3.2u can run dual-layer discs, though you'll want to make sure of where the layer break point is when you burn it; if it's in the wrong place the game won't work right. I'm not sure where it's supposed to be, but the OneUp release should have a .dvd file that you can use for burning it.
     
  3. eidrian
    OP

    Newcomer eidrian Advanced Member

    Joined:
    Feb 8, 2009
    Messages:
    57
    Country:
    United States
    I have, iirc, starfall installed. I honestly don't know what are the other ones you mentioned, but i think starfall disabled disc update option, right?
     
  4. illinialex24

    Member illinialex24 GBAtemp Advanced Fan

    Joined:
    May 26, 2009
    Messages:
    968
    Location:
    The Midwest
    Country:
    United States
    Use WiiSCU to update all you IOSs (do every option, channels are nice too) and with an update block it should work fine.

    Posts merged

    Ever heard of Brawl?
     
  5. Covarr

    Member Covarr Sentient Cash Register

    Joined:
    Oct 21, 2005
    Messages:
    872
    Location:
    Far East of Eden
    Country:
    United States
    Did Brawl not run on 3.2u?

    TBH I wouldn't have noticed because I'd already updated to 4.0 at that point. Sorry if I gave misinformation.
     
  6. eidrian
    OP

    Newcomer eidrian Advanced Member

    Joined:
    Feb 8, 2009
    Messages:
    57
    Country:
    United States
    I will look into that one, illinialex24, also another question: so it's not necessary to update to 4.0/4.1? I have read some threads here and mention waninkoko's 4.1 firmware updater/preloader or does that just update it to a safe 4.0?
     
  7. illinialex24

    Member illinialex24 GBAtemp Advanced Fan

    Joined:
    May 26, 2009
    Messages:
    968
    Location:
    The Midwest
    Country:
    United States
    First off, Brawl ran fine on 3.2U. Until I noticed startpatch I was on 3.2U with every channel and every game including stuff like the Conduot functioning. Using WiiSCU. Only thing I didn't have was the SD card channel. And 4.1 is pretty safe with startpatch and a cIOS60BF anyway, I just did a regular updated after I ha cios36 rev10 installed and then installed cIOS60BF and everything went great.
     
  8. eidrian
    OP

    Newcomer eidrian Advanced Member

    Joined:
    Feb 8, 2009
    Messages:
    57
    Country:
    United States
    So i should run WiiSCU and update it all, then? Also what's cIOS60BF and where to get it? I know i have some cios36 installed, i think its rev8, cuz i have used it to load some gamecube games or something like that.
     
  9. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States
    You shouldn't need to install that individual wad of that cIOS60BF. It isn't really needed and it would be better to just use dop-IOS v7 to install the most recent official IOS60 and also use it to patch it with the sig hash check (trucha bug). If you want you can also use dop-IOS to install the most recent IOS of every IOS on your system. Just make sure you have a cIOS installed first and and don't bother installing stub IOS's.

    Also cIOS wouldn't be used to load gamecube backup games. A cMIOS is used for that and is entirely different. If you don't have a cIOS installed already you will need to use the Trucha Bug Restorer, and then run the cIOS38 rev14 installer and have it use IOS36. You can find the applications and info on them in their sections in the guide in my sig.

    Another thing, if you are running a backup copy of MPT through some backup launcher and not the disc channel, I believe you will need to do some alternate dol loading to load each individual game from it, which you should be able to do with most recent loaders like NeoGamma and such.
     
  10. Nikj14

    Member Nikj14 GBAtemp Regular

    Joined:
    Jun 7, 2009
    Messages:
    100
    Country:
    Canada
    CIOS rev14 breaks dual layer support so either use hermies IOS or a lower version of waninkokos. Youll also want to install bootmii and update with everything new from the hackmii installer, make a backup and then upgrade to 4.0 because if you dont like it you can just restore back to 3.2.
     
  11. illinialex24

    Member illinialex24 GBAtemp Advanced Fan

    Joined:
    May 26, 2009
    Messages:
    968
    Location:
    The Midwest
    Country:
    United States
    Oh nice I will definitely swap to that when I get my Drivekey.

    And it works fine through a backup loader as long as it's run through the disc channel and cIOScorp 3.x isn't installed.
     
  12. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States

    This is kinda contradictory to itself...if you're running it through the disc channel, you wouldn't be running it through a backup loader. Also loading a backup through the disc channel wouldn't work unless you have CIOSCORP to begin with.
     
  13. illinialex24

    Member illinialex24 GBAtemp Advanced Fan

    Joined:
    May 26, 2009
    Messages:
    968
    Location:
    The Midwest
    Country:
    United States
    I meant running it on the disc, not using a USB loader.
     
  14. eidrian
    OP

    Newcomer eidrian Advanced Member

    Joined:
    Feb 8, 2009
    Messages:
    57
    Country:
    United States
    Ok, i'll try the dop-IOS v7 and see how it goes. Also should i update the backup launcher as well to play it properly? How do i go using that alternate dol loading for each game? Should i try the reboot with hooks to run it on the disc channel itself rather than the backup launcher?
     
  15. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States
    If you're still using something like the 0.3 gamma launcher, you should try to delete that and then use NeoGamma R7 instead. According to illinialex you apparently don't need to do any alternate dol loading for using a disc loader and it's only for usb loaders so I suppose you should just try it out first with NeoGamma R7 as is and if it doesn't work, worry about it then.
     
  16. illinialex24

    Member illinialex24 GBAtemp Advanced Fan

    Joined:
    May 26, 2009
    Messages:
    968
    Location:
    The Midwest
    Country:
    United States
    I am fairly sure as long as when its on a disc, the reload issue doesn't freeze the disc drive. I can test it very soon, I'm very sure on this though, uninstalling cioscorp atm.
     
  17. YayMii

    Member YayMii hi

    Joined:
    Jun 24, 2009
    Messages:
    4,882
    Location:
    that place
    Country:
    Canada
    Brawl ran on 3.1U.

    BTW, does anybody know how to get it to run on cIOScorp 3.3?
     
  18. eidrian
    OP

    Newcomer eidrian Advanced Member

    Joined:
    Feb 8, 2009
    Messages:
    57
    Country:
    United States
    So if i have starfall installed, can i just install Startpatch or will starfall work on blocking the disc update?

    Edit: OK so far i got it to load and everything, pretty menu btw, but when i start any game, screen goes green and sends me back to home menu. Any ideas?
     
  19. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States
    Yea that's what needs the alternate dol loading. You're basically gonna have to use NeoGamma to manually load the dol of whichever title you want to choose from that menu and change which one it loads when you want to load a different one I believe.

    Edit: http://gbatemp.net/index.php?showtopic=176129

    Check out that thread.
     
  20. eidrian
    OP

    Newcomer eidrian Advanced Member

    Joined:
    Feb 8, 2009
    Messages:
    57
    Country:
    United States
    Would that work if i'm running the game using a dual layer dvd? All the games just go to green screen and then reboot to the system menu. I wonder if it would be possible to get this game to play by just using a loader, no dols involved.
     

Share This Page